Bug 1309588 - [abrt] Zim: __init__.py:1245:do_open_page:AttributeError: 'NoneType' object has no attribute 'haschildren'
[abrt] Zim: __init__.py:1245:do_open_page:AttributeError: 'NoneType' object h...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: Zim (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Robin Lee
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:2bb7bb5caf2f55cfe909c792488...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-18 03:26 EST by Radek Vokal
Modified: 2016-12-20 13:48 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 13:48:25 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (895 bytes, text/plain)
2016-02-18 03:27 EST, Radek Vokal
no flags Details
File: environ (1.64 KB, text/plain)
2016-02-18 03:27 EST, Radek Vokal
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Launchpad 1411911 None None None 2016-02-18 03:39 EST

  None (edit)
Description Radek Vokal 2016-02-18 03:26:57 EST
Version-Release number of selected component:
Zim-0.65-1.fc23

Additional info:
reporter:       libreport-2.6.4
cmdline:        /usr/bin/python /usr/bin/zim --ipc-server-main /tmp/zim-radek/zim-server-socket 30
executable:     /usr/bin/zim
kernel:         4.3.4-300.fc23.x86_64
runlevel:       N 5
type:           Python
uid:            1000

Truncated backtrace:
__init__.py:1245:do_open_page:AttributeError: 'NoneType' object has no attribute 'haschildren'

Traceback (most recent call last):
  File "/usr/lib/python2.7/site-packages/zim/gui/__init__.py", line 1245, in do_open_page
    child.set_sensitive(indexpath.haschildren)
AttributeError: 'NoneType' object has no attribute 'haschildren'

Local variables in innermost frame:
indexpath: None
is_first_page: False
parent: <gtk.Action object at 0x7fd8a94290f0 (GtkAction at 0x556657974910)>
self: <GtkInterface object at 0x7fd8ba6e4780 (zim+gui+GtkInterface at 0x55665752bce0)>
back: <gtk.Action object at 0x7fd8a9426eb0 (GtkAction at 0x556657970f30)>
historyrecord: <HistoryPath: DevConf,>
child: <gtk.Action object at 0x7fd8a94291e0 (GtkAction at 0x5566579749a0)>
forward: <gtk.Action object at 0x7fd8a9426fa0 (GtkAction at 0x556657974880)>
path: <IndexPath: DevConf,>
page: <FileStorePage: DevConf,>
Comment 1 Radek Vokal 2016-02-18 03:27:02 EST
Created attachment 1128163 [details]
File: backtrace
Comment 2 Radek Vokal 2016-02-18 03:27:04 EST
Created attachment 1128164 [details]
File: environ
Comment 3 Fedora End Of Life 2016-11-24 10:37:29 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Fedora End Of Life 2016-12-20 13:48:25 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.